Subject: bug#45701: 28.0.50; [feature/native-comp] (33b8ce8) `M-x report-emacs-bug` error: "Wrong type argument: stringp, nil"

From: Andrea Corallo <[email-masked]>
Date: Tue, 02 Feb 2021 09:05:39 +0000

Justin Schell <[email-masked]> writes:

>> emacs -batch -eval '(report-emacs-bug "")'
>
> Ah, sorry, I misunderstood as I had never heard of batch mode before.
>
> Simply calling `report-emacs-bug` did not do the trick:
> ```
> [builds (master-)]$
> Emacs.app-\[feature-native-comp\]\[2021-01-30\]\[a8b8d22\]\[macOS-10.15\]\[x86_64\].app/Contents/MacOS/Emacs
> -batch -eval '(progn (message "foo") (report-emacs-bug "") (message
> "bar"))'
> foo
> Checking for load-path shadows...
> Checking for load-path shadows...done
> bar
> [builds (master-)]$
> ```
>
> I'll continue to try to figure out how to repro, though.
>
> Justin

Hi Justin,

one could also place the breackpoint from gdb for an interactive
session, is just a little more annoying if one want to re-run multiple
times while debugging.

BTW dumb question: the issue is present also running "emacs -Q" right?

Thanks

  Andrea